import Bypass from '../common/bypass';
import { Disable, Header, Method, RequestInfo } from '../types';
export default class MockItem {
    url: RegExp | string;
    regexp: Array<string>;
    method: Method;
    header: Header;
    delay: number;
    body: unknown;
    response: unknown;
    remote: string;
    proxy: boolean;
    status: number;
    disable: Disable;
    times: number;
    key: string;
    /**
     * Format specified mock item.
     * @param {MockItemInfo} mockItem
     * @returns false | MockItemInfo
     */
    constructor(mockItem: Partial<MockItem>);
    private setBody;
    bypass(): Bypass;
    sendBody(requestInfo: RequestInfo): Promise<any>;
    getRemoteInfo(requestUrl: string): false | Record<string, string>;
}
